EndTangent Example |
Using Programming Languages other than VBA
Sub Example_EndTangent() ' This example creates a spline. It then queries the current setting for ' the EndTangent, and then changes the EndTangent to a new value. ' Create the spline Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double Dim endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double Dim msg As String startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0 fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0 fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ZoomAll GoSub GETPOINTS MsgBox "The EndTangent for the spline is " & msg, vbInformation, "EndTangent Example" ' Change the end tangent of Spline to (1.5,0.707,2) Dim newTan(0 To 2) As Double newTan(0) = 1.5: newTan(1) = 0.707: newTan(2) = 2 splineObj.EndTangent = newTan ThisDrawing.Regen True GoSub GETPOINTS MsgBox "The EndTangent has been changed to " & msg, vbInformation, "EndTangent Example" Exit Sub
GETPOINTS: msg = "" ' Get the coordinates from the end tangent Dim count As Integer For count = 0 To 2 msg = msg & Format(splineObj.EndTangent(count), "0.###") & ", " Next msg = VBA.Left(msg, Len(msg) - 2) Return End Sub
Comments? |